# Generated by Django 2.2.3 on 2021-05-31 23:06

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0031_auto_20210526_2342'),
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceOrder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100), required*', max_length=100, verbose_name='Tecnico')),
                ('time_range', models.SmallIntegerField(default=0, help_text='int', verbose_name='Tiempo de atención(minutos)')),
            ],
            options={
                'verbose_name': 'Orden de servicio',
                'verbose_name_plural': 'Ordenes de servicio',
                'ordering': ['-id'],
            },
        ),
        migrations.RemoveField(
            model_name='historicaltechnician',
            name='service_orders',
        ),
        migrations.RemoveField(
            model_name='historicaltechnician',
            name='time_range',
        ),
        migrations.RemoveField(
            model_name='technician',
            name='service_orders',
        ),
        migrations.RemoveField(
            model_name='technician',
            name='time_range',
        ),
        migrations.CreateModel(
            name='HistoricalServiceOrder',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('name', models.CharField(help_text='varchar(100), required*', max_length=100, verbose_name='Tecnico')),
                ('time_range', models.SmallIntegerField(default=0, help_text='int', verbose_name='Tiempo de atención(minutos)')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical Orden de servicio',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.AddField(
            model_name='historicaltechnician',
            name='service_order',
            field=models.ForeignKey(blank=True, db_constraint=False, help_text='int', null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='models.ServiceOrder', verbose_name='Orden de Servicio'),
        ),
        migrations.AddField(
            model_name='technician',
            name='service_order',
            field=models.ForeignKey(blank=True, help_text='int', null=True, on_delete=django.db.models.deletion.PROTECT, to='models.ServiceOrder', verbose_name='Orden de Servicio'),
        ),
    ]
